path: /build/build/libpsl-net-libs-0.20.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -idn -idn2 -man -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 icu python_single_target_python3_9" emerge net-libs/libpsl -pv -t && \
    USE="-doc -idn -idn2 -man -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 icu python_single_target_python3_9" emerge -j ${JOBS} --nodeps net-libs/libpsl
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libpsl && luet-portage --dir /pkgdir/libpsl
    net-libs/libpsl && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:fc7f6af3702b72fbcd9371eb8d548e0e612dc3a9a101a4d21b3430ebb65e80fb
  package:
    name: libpsl
    version: 0.20.2+1
    category: net-libs
    use_flags:
    - -doc
    - -idn
    - -idn2
    - -man
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - icu
    - python_single_target_python3_9
    requires:
    - name: ghostscript-gpl
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    uri:
    - ""
    license: MIT
    buildtimestamp: 2023-08-20 21:33:34.582361449 +0000 UTC m=+1991.791236598
    labels:
      DEPEND: python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) sys-devel/gettext virtual/pkgconfig sys-devel/libtool doc? ( dev-util/gtk-doc
        ) man? ( dev-libs/libxslt ) idn2? ( net-dns/libidn2[static-libs?] ) idn? (
        net-dns/libidn[static-libs?] ) icu? ( dev-libs/icu[static-libs?] ) >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      IUSE: doc man nls static-libs rpath +icu -idn -idn2 python_single_target_python3_7
        python_single_target_python3_9 python_single_target_python3_8 python_single_target_python3_10
        python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python3_10
      RDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) sys-devel/gettext virtual/pkgconfig sys-devel/libtool doc? ( dev-util/gtk-doc
        ) man? ( dev-libs/libxslt ) idn2? ( net-dns/libidn2[static-libs?] ) idn? (
        net-dns/libidn[static-libs?] ) icu? ( dev-libs/icu[static-libs?] )
      emerge.packages: net-libs/libpsl
      kit: gnome-kit
      original.package.name: net-libs/libpsl
      original.package.slot: "0"
      original.package.version: 0.20.2
    treedir: /build/packages
  package_dir: /pkgdir/libpsl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4442890cad9a6f7ddd04fe83d6c5f460fc36b39fec3fbf6fa754e63b105f3061
compressiontype: zstd
files:
- usr/bin/psl
- usr/include/libpsl.h
- usr/lib64/libpsl.so
- usr/lib64/libpsl.so.5
- usr/lib64/libpsl.so.5.3.1
- usr/lib64/pkgconfig/libpsl.pc
- usr/libexec/psl-make-dafsa
- usr/share/doc/libpsl-0.20.2/AUTHORS.bz2
- usr/share/doc/libpsl-0.20.2/NEWS.bz2
- usr/share/man/man1/psl-make-dafsa.1.bz2
- usr/share/man/man1/psl.1.bz2
- var/db/pkg/net-libs/libpsl-0.20.2/BUILD_TIME
- var/db/pkg/net-libs/libpsl-0.20.2/CATEGORY
- var/db/pkg/net-libs/libpsl-0.20.2/CBUILD
- var/db/pkg/net-libs/libpsl-0.20.2/CFLAGS
- var/db/pkg/net-libs/libpsl-0.20.2/CHOST
- var/db/pkg/net-libs/libpsl-0.20.2/CONTENTS
- var/db/pkg/net-libs/libpsl-0.20.2/COUNTER
- var/db/pkg/net-libs/libpsl-0.20.2/CXXFLAGS
- var/db/pkg/net-libs/libpsl-0.20.2/DEFINED_PHASES
- var/db/pkg/net-libs/libpsl-0.20.2/DEPEND
- var/db/pkg/net-libs/libpsl-0.20.2/DESCRIPTION
- var/db/pkg/net-libs/libpsl-0.20.2/EAPI
- var/db/pkg/net-libs/libpsl-0.20.2/FEATURES
- var/db/pkg/net-libs/libpsl-0.20.2/INHERITED
- var/db/pkg/net-libs/libpsl-0.20.2/IUSE
- var/db/pkg/net-libs/libpsl-0.20.2/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libpsl-0.20.2/KEYWORDS
- var/db/pkg/net-libs/libpsl-0.20.2/LDFLAGS
- var/db/pkg/net-libs/libpsl-0.20.2/LICENSE
- var/db/pkg/net-libs/libpsl-0.20.2/NEEDED
- var/db/pkg/net-libs/libpsl-0.20.2/PF
- var/db/pkg/net-libs/libpsl-0.20.2/PROVIDES
- var/db/pkg/net-libs/libpsl-0.20.2/RDEPEND
- var/db/pkg/net-libs/libpsl-0.20.2/REQUIRES
- var/db/pkg/net-libs/libpsl-0.20.2/SIZE
- var/db/pkg/net-libs/libpsl-0.20.2/SLOT
- var/db/pkg/net-libs/libpsl-0.20.2/USE
- var/db/pkg/net-libs/libpsl-0.20.2/environment.bz2
- var/db/pkg/net-libs/libpsl-0.20.2/libpsl-0.20.2.ebuild
- var/db/pkg/net-libs/libpsl-0.20.2/repository
package_cacheimage: ""
runtime:
  name: libpsl
  version: 0.20.2+1
  category: net-libs
  use_flags:
  - -doc
  - -idn
  - -idn2
  - -man
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - icu
  - python_single_target_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: icu
    version: '>=0'
    category: dev-libs
  - name: gettext
    version: '>=0'
    category: sys-devel
  - name: libtool
    version: '>=0'
    category: sys-devel-2
  - name: pkgconfig
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  uri:
  - ""
  license: MIT
  labels:
    DEPEND: python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) sys-devel/gettext virtual/pkgconfig sys-devel/libtool doc? ( dev-util/gtk-doc
      ) man? ( dev-libs/libxslt ) idn2? ( net-dns/libidn2[static-libs?] ) idn? ( net-dns/libidn[static-libs?]
      ) icu? ( dev-libs/icu[static-libs?] ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    IUSE: doc man nls static-libs rpath +icu -idn -idn2 python_single_target_python3_7
      python_single_target_python3_9 python_single_target_python3_8 python_single_target_python3_10
      python_targets_python3_7 python_targets_python3_9 python_targets_python3_8 python_targets_python3_10
    RDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) sys-devel/gettext virtual/pkgconfig sys-devel/libtool doc? ( dev-util/gtk-doc
      ) man? ( dev-libs/libxslt ) idn2? ( net-dns/libidn2[static-libs?] ) idn? ( net-dns/libidn[static-libs?]
      ) icu? ( dev-libs/icu[static-libs?] )
    emerge.packages: net-libs/libpsl
    kit: gnome-kit
    original.package.name: net-libs/libpsl
    original.package.slot: "0"
    original.package.version: 0.20.2
